### Class

# St Adjustment

#### Description [src]

    class St.Adjustment : GObject.Object
      implements Clutter.Animatable {
      /* No available fields */
    }

An adjustable bounded value.

The `StAdjustment` object represents a range of values bounded between a minimum and maximum, together with step and page increments and a page size.

#### Ancestors

- GObject

#### Implements

- ClutterAnimatable

#### Constructors

###### st_adjustment_new

Creates a new `StAdjustment`.

#### Instance methods

###### st_adjustment_add_transition

Add a `ClutterTransition` for the adjustment. If the transition stops, it will be automatically removed if `ClutterTransition:remove-on-complete` is `TRUE`.

###### st_adjustment_adjust_for_scroll_event

Adjusts the adjustment using delta values from a scroll event. You should use this instead of using `st_adjustment_set_value()` as this method will tweak the values directly using the same math as GTK+, to ensure that scrolling is consistent across the environment.

###### st_adjustment_clamp_page

Set `StAdjustment:value` to a value clamped between `lower` and `upper`. The clamping described by `st_adjustment_set_value()` still applies.

###### st_adjustment_get_actor

Retrieves the actor used for transitions.

###### st_adjustment_get_lower

Retrieves the minimum value of the adjustment.

###### st_adjustment_get_page_increment

Retrieves the page increment of the adjustment.

###### st_adjustment_get_page_size

Retrieves the page size of the adjustment.

###### st_adjustment_get_step_increment

Retrieves the step increment of the adjustment.

###### st_adjustment_get_transition

Get the `ClutterTransition` for `name` previously added with `st_adjustment_add_transition()` or `NULL` if not found.

###### st_adjustment_get_upper

Retrieves the maximum value of the adjustment.

###### st_adjustment_get_value

Gets the current value of the adjustment. See st_adjustment_set_value().

###### st_adjustment_get_values

Gets all of `adjustment`‘s values at once.

###### st_adjustment_remove_transition

No description available.

###### st_adjustment_set_actor

Sets the actor used for transitions.

###### st_adjustment_set_lower

Sets the minimum value of the adjustment.

###### st_adjustment_set_page_increment

Sets the page increment of the adjustment.

###### st_adjustment_set_page_size

Sets the page size of the adjustment.

###### st_adjustment_set_step_increment

Sets the step increment of the adjustment.

###### st_adjustment_set_upper

Sets the maximum value of the adjustment.

###### st_adjustment_set_value

Sets the `StAdjustment` value. The value is clamped to lie between `StAdjustment:lower` and `StAdjustment:upper` - `StAdjustment:page-size`.

###### st_adjustment_set_values

Sets all properties of the adjustment at once.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ClutterAnimatable (5)

###### clutter_animatable_find_property

Finds the `GParamSpec` for `property_name`.

###### clutter_animatable_get_actor

Get animated actor.

###### clutter_animatable_get_initial_state

Retrieves the current state of `property_name` and sets `value` with it.

###### clutter_animatable_interpolate_value

Asks a `ClutterAnimatable` implementation to interpolate a a named property between the initial and final values of a `ClutterInterval`, using `progress` as the interpolation value, and store the result inside `value`.

###### clutter_animatable_set_final_state

Sets the current state of `property_name` to `value`.

#### Properties

###### St.Adjustment:actor

If the adjustment is used as `ClutterAnimatable` for a `ClutterPropertyTransition`, this property is used to determine which monitor should drive the animation.

###### St.Adjustment:lower

The minimum value of the adjustment.

###### St.Adjustment:page-increment

The page increment of the adjustment.

###### St.Adjustment:page-size

The page size of the adjustment.

###### St.Adjustment:step-increment

The step increment of the adjustment.

###### St.Adjustment:upper

The maximum value of the adjustment.

###### St.Adjustment:value

The value of the adjustment.

#### Signals

###### St.Adjustment::changed

Emitted when any of the adjustment properties have changed, except for `StAdjustment:value`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct StAdjustmentClass {
      void (* changed) (
        StAdjustment* adjustment
      );

    }

Base class for `StAdjustment`.

###### Class members

`changed: void (* changed) ( StAdjustment* adjustment )`

  Class handler for the ::changed signal.

#### Virtual methods

###### St.AdjustmentClass.changed

Class handler for the ::changed signal.